Unable to install or run the application. The application requires that assembly xxx version xx.x.x.x be installed in the Global Assembly Cache (GAC)

My friend have some problem on installing a Windows application
After he published to the central server for another user use.

The error he received is
“Unable to install or run the application. The application requires that assembly xxx version xx.x.x.x be installed in the Global Assembly Cache (GAC) first.

Please contact your system administrator.”

Solution
In order to solve that problem. What you need to do is to check if the assembly/reference is included on the project. if not, please try to include it.

1) Double click on the application name on Visual Studio.
2) Click on “Publish” tab.
3) Click on the “Application Files” button


4) Check which filename/reference/assembly that the error message said it is missing.
E.G.
.
5) On “Publish Status” select “Include”
6) After you have included all the required reference. Click “OK”
7) Finally, you can republish the application and check if it works.

Good Luck

Leave a Reply